/*****************************************************************************
 * Copyright (C) The Apache Software Foundation. All rights reserved.        *
 * ------------------------------------------------------------------------- *
 * This software is published under the terms of the Apache Software License *
 * version 1.1, a copy of which has been included with this distribution in  *
 * the LICENSE file.                                                         *
 *****************************************************************************/

package org.apache.batik.bridge;

import org.apache.batik.gvt.GraphicsNode;

/**
 * Thrown when a required attribute is missing on a specific Element.
 *
 * @author <a href="mailto:Thierry.Kormann@sophia.inria.fr">Thierry Kormann</a>
 * @version $Id: MissingAttributeException.java,v 1.2 2000/11/28 19:57:28 tkormann Exp $
 */
public class MissingAttributeException extends BridgeException {

    /**
     * Constructs a new <tt>MissingAttributeException</tt>.
     * @param msg the exception message
     */
    public MissingAttributeException(String msg) {
        super(msg);
    }

    /**
     * Constructs a new <tt>MissingAttributeException</tt>.
     * @param msg the exception message
     * @param node the graphics node on which the error occured
     */
    public MissingAttributeException(String msg, GraphicsNode node) {
        super(msg, node);
    }
}
