/*****************************************************************************
 * Copyright (C) The Apache Software Foundation. All rights reserved.        *
 * ------------------------------------------------------------------------- *
 * This software is published under the terms of the Apache Software License *
 * version 1.1, a copy of which has been included with this distribution in  *
 * the LICENSE file.                                                         *
 *****************************************************************************/

package org.apache.batik.dom.svg;

import org.apache.batik.bridge.UserAgent;
import org.apache.batik.css.svg.DefaultSVGCSSContext;
import org.apache.batik.css.svg.SVGCSSContext;
import org.apache.batik.parser.ParserFactory;


/**
 * This class is the placeholder for SVG application informations.
 *
 * @author <a href="mailto:stephane@hillion.org">Stephane Hillion</a>
 * @version $Id: DefaultSVGContext.java,v 1.1.1.1 2000/10/10 18:39:26 hillion Exp $
 */
public class DefaultSVGContext
    extends    DefaultSVGCSSContext
    implements SVGContext {
    protected ParserFactory parserFactory;
    protected UserAgent userAgent;

    /**
     * Returns the parser factory.
     */
    public ParserFactory getParserFactory() {
        return parserFactory;
    }

    /**
     * Sets the parser factory.
     */
    public void setParserFactory(ParserFactory pf) {
        parserFactory = pf;
    }

    /**
     * Returns the user agent.
     */
    public UserAgent getUserAgent() {
        return userAgent;
    }

    /**
     * Sets the user agent.
     */
    public void setUserAgent(UserAgent ua) {
        userAgent = ua;
    }
}
