/*****************************************************************************
 * Copyright (C) The Apache Software Foundation. All rights reserved.        *
 * ------------------------------------------------------------------------- *
 * This software is published under the terms of the Apache Software License *
 * version 1.1, a copy of which has been included with this distribution in  *
 * the LICENSE file.                                                         *
 *****************************************************************************/

package org.apache.batik.gvt.event;

import java.util.EventListener;

/**
 * The listener interface for receiving graphics node paint events.
 *
 * @author <a href="mailto:Thierry.Kormann@sophia.inria.fr">Thierry Kormann</a>
 * @version $Id: GraphicsNodePaintListener.java,v 1.1 2000/11/14 10:57:20 tkormann Exp $
 */
public interface GraphicsNodePaintListener extends EventListener {

    /**
     * Invoked when a graphics node has been modified and need to be repainted.
     * @param evt the graphics node paint event
     */
    void graphicsNodeModified(GraphicsNodePaintEvent evt);

}
