/*****************************************************************************
 * Copyright (C) The Apache Software Foundation. All rights reserved.        *
 * ------------------------------------------------------------------------- *
 * This software is published under the terms of the Apache Software License *
 * version 1.1, a copy of which has been included with this distribution in  *
 * the LICENSE file.                                                         *
 *****************************************************************************/

package org.apache.batik.refimpl.script.jacl;

import org.apache.batik.script.*;

/**
 * Allows to create instances of <code>JaclInterpreterFactory</code>.
 * @author <a href="mailto:cjolif@ilog.fr">Christophe Jolif</a>
 * @version $Id: JaclInterpreterFactory.java,v 1.1.1.1 2000/10/10 18:41:46 hillion Exp $
 */
public class JaclInterpreterFactory implements InterpreterFactory {

    /**
     * Builds a <code>JaclInterpreterFactory</code>.
     */
    public JaclInterpreterFactory() {
    }

    /**
     * Creates an instance of <code>JaclInterpreter</code> class.
     */
    public Interpreter createInterpreter() {
        return new JaclInterpreter();
    }
}
