/*****************************************************************************
 * Copyright (C) The Apache Software Foundation. All rights reserved.        *
 * ------------------------------------------------------------------------- *
 * This software is published under the terms of the Apache Software License *
 * version 1.1, a copy of which has been included with this distribution in  *
 * the LICENSE file.                                                         *
 *****************************************************************************/

package org.apache.batik.transcoder;

/**
 * Factory class for vending <tt>Transcoder</tt> objects.
 *
 * @author <a href="mailto:Thierry.Kormann@sophia.inria.fr">Thierry Kormann</a>
 * @version $Id: TranscoderFactory.java,v 1.1 2000/10/23 16:08:05 tkormann Exp $
 */
public interface TranscoderFactory {

    /**
     * Creates a new transcoder according to the specified mime type.
     */
    Transcoder createTranscoder(String mimeType);

}
