/*****************************************************************************
 * Copyright (C) The Apache Software Foundation. All rights reserved.        *
 * ------------------------------------------------------------------------- *
 * This software is published under the terms of the Apache Software License *
 * version 1.1, a copy of which has been included with this distribution in  *
 * the LICENSE file.                                                         *
 *****************************************************************************/

package org.apache.batik.util;

/**
 * Interface for classes which listen to DocumentEvents.
 *
 * @author <a href="mailto:bill.haneman@ireland.sun.com">Bill Haneman</a>
 * @version $Id: DocumentListener.java,v 1.2 2000/11/20 16:13:07 cjolif Exp $
 */
public interface DocumentListener {

   /**
    * Take action on receipt of a DocumentEvent.
    */
    public void processDocumentEvent(DocumentEvent e);

}


