/*****************************************************************************
 * Copyright (C) The Apache Software Foundation. All rights reserved.        *
 * ------------------------------------------------------------------------- *
 * This software is published under the terms of the Apache Software License *
 * version 1.1, a copy of which has been included with this distribution in  *
 * the LICENSE file.                                                         *
 *****************************************************************************/

package org.apache.batik.util.gui;

/**
 * This interface allows an object to be notified of language settings
 * changes.
 *
 * @author <a href="mailto:stephane@hillion.org">Stephane Hillion</a>
 * @version $Id: LanguageChangeHandler.java,v 1.1 2000/10/20 11:06:35 hillion Exp $
 */
public interface LanguageChangeHandler {
    /**
     * Called when the language settings change.
     */
    void languageChanged(String lang);
}
